import typer
from rich import print as pprint
from src.config.configuration_manager import ConMan

def main():
    wf = typer.Typer(help='Eternal return of the same - replicate your configuration')
    config_wf = typer.Typer()

    wf.add_typer(config_wf, name='config', help='Config file utilities')

    @config_wf.command('show', help='Display the full configuration')
    def show():
        conf: dict = ConMan().get_all()
        pprint(conf)

    wf()



if __name__ == "__main__":
    main()
